<?php
   if (!defined('ABSPATH')){ exit; }

   global $funden_post, $post;
   if( !$funden_post ){ return; }
   if( $funden_post->post_type != 'product' ){ return; }

   if(\Elementor\Plugin::$instance->editor->is_edit_mode()){
   }
   global $product;
   $post_id = $funden_post->ID;
   $post = $funden_post;
   $product = wc_get_product($post_id);
?>
<?php
   $style = $style;
   $classes = array();
   $classes[] = 'swiper-slider-wrapper';


   $video = trim(get_post_meta($post_id, 'wpneo_funding_video', true)); 
   $attachment_ids = $product->get_gallery_image_ids();

?>

<?php if($style == 'style-1'): ?>
<div class="tm-wpcf-item-media">
   <div class="wpcf-item-media style-default">

   <?php if (!empty($video)) { ?>
      
      <div class="wpneo-post-img">
         <?php echo wpcf_function()->get_embeded_video($video); ?>
      </div>

   <?php } else { ?>
      
      <div >
         <div class="swiper-content-inner">  
            <div class="init-carousel-swiper swiper" data-carousel="<?php echo $this->get_carousel_settings() ?>">
               <div class="swiper-wrapper">
                  <?php foreach($attachment_ids as $attachment_id){ 
                     echo '<div class="swiper-slide">';
                        echo wp_get_attachment_image($attachment_id, $image_size);
                     echo '</div>';
                  } ?>
               </div>
            </div>
         </div>   
         <div class="swiper-pagination"></div>
         <div class="swiper-nav-next"></div><div class="swiper-nav-prev"></div>
      </div>

   <?php } ?>

      <div class="campaign_loved_html">
         <?php echo str_replace(' id=', ' class=', wpcf_function()->campaign_loved(false)); ?>
      </div>

      <div class="campaign-media">
         <div class="campaign-gallery">
            <?php if($attachment_ids){
               $i = 1;
               foreach($attachment_ids as $attachment_id){ 
                  $classes = ($i>1) ? 'hidden' : 'campaign-gallery-link';
                  $image_src = wp_get_attachment_image_src($attachment_id, 'full');
                  if( isset($image_src[0]) ){ ?>
                    <a class="<?php echo esc_attr($classes) ?>" href="<?php echo esc_url($image_src[0]) ?>" data-elementor-lightbox-slideshow="<?php echo esc_attr($_rand) ?>">
                      <?php 
                        if($i == 1){
                           echo '<i class="las la-camera"></i>';
                           echo '<span>' . count($attachment_ids) . '</span>';
                        }
                      ?>
                    </a>
                  <?php }  
                  $i = $i + 1;
               }
            } ?>
         </div>   
      </div>
   </div>
</div>
<?php endif; ?>

<?php if($style == 'style-2'): ?>
<div class="tm-wpcf-item-media">
   <div class="wpcf-item-media style-2">
      <div <?php echo $this->get_render_attribute_string('wrapper_slider') ?>>
         <div class="swiper-content-inner">
            <div class="init-carousel-swiper swiper" data-carousel="<?php echo $this->get_carousel_settings() ?>">
               <div class="swiper-wrapper">
                  <?php foreach($attachment_ids as $attachment_id){ 
                     echo '<div class="swiper-slide">';
                        echo wp_get_attachment_image($attachment_id, $image_size);
                     echo '</div>';
                  } ?>
               </div>
            </div>
         </div>
         <div class="swiper-pagination"></div>
         <div class="swiper-nav-next"></div><div class="swiper-nav-prev"></div>
      </div>

      <div class="campaign_loved_html">
         <?php echo str_replace(' id=', ' class=', wpcf_function()->campaign_loved(false)); ?>
      </div>

      <div class="campaign-media">
         <div class="campaign-gallery">
            <?php if($attachment_ids){
               $i = 1;
               foreach($attachment_ids as $attachment_id){ 
                  $classes = ($i>1) ? 'hidden' : 'campaign-gallery-link';
                  $image_src = wp_get_attachment_image_src($attachment_id, 'full');
                  if( isset($image_src[0]) ){ ?>
                    <a class="<?php echo esc_attr($classes) ?>" href="<?php echo esc_url($image_src[0]) ?>" data-elementor-lightbox-slideshow="<?php echo esc_attr($_rand) ?>">
                      <?php 
                        if($i == 1){
                           echo '<i class="fas la-camera"></i>';
                           echo '<span>' . count($attachment_ids) . '</span>';
                        }
                      ?>
                    </a>
                  <?php }  
                  $i = $i + 1;
               }
             } ?>
         </div>
         <?php if($video){ ?>
         <a class="campaign-video popup-video" href="<?php echo esc_url($video) ?>"><i class="las la-video"></i></a>
      <?php } ?>
      </div>   
   </div>
</div>
<?php endif; ?>